<!--comment-sec-->
<!-- <div class="comment-sec comments_<%#= post['id'] %>" id="post_comment"> -->
    <%# post %>
    <%= custom_bootstrap_flash %>
    <% @post_comments.each do |comment| %>
        <% logger.info "==comm===#{comment.inspect}" %>
        <div class="userinfo">
            <figure>
                <!-- <img src="images/user1.png" alt="" class="img-circle" width="40"/> -->
                <% comment_user = User.find(comment['user_id']) %>
                <%= image_tag comment_user.present? ? comment_user.user_profile.present? ? comment_user.user_profile.url(:thumb) : 'default-profile.png' : 'default-profile.png', class: 'img-circle', width: '40' %>
            </figure>
            <div class="uinfo">
                <h4>
                    <%= comment[:user_name] %><div class="right_part"><small><%= distance_of_time_in_words(Time.now - comment['created_at']) %> ago</small><% if comment['user_id'].to_i == current_user.id %>
                        <%= link_to 'x', 'javascript:void(0)', class: 'delete-comment pull-right', data: { 'comment-id': comment['id'], confirm: 'Are you sure' } %>
                    <% end %></div>
                </h4>
                <p><%= comment['comment'] %></p>

            </div>
        </div>
    <% end if @post_comments.present? %>
    <div class="mycomm">
        <%= form_for @post.post_comments.new, url: add_comment_path, method: :post, remote: true do |f| %>
            <%= f.text_field :user_post_id, value: @post.id, hidden: true %>
            <%= f.text_field :user_id, value: current_user.id, hidden: true %>
            <div class="form-group">
                <!-- <input type="text" class="form-control" placeholder="Add a comment..."> -->
                <%= f.text_area :comment, class: 'form-control', placeholder: 'Add Comment', rows: 1 %>
            </div>
            <div class="form-group margin-bottom-0">
                <!-- <input type="button" value="Post" class="btn btn-theme rounded"> -->
                <%= f.submit 'Post', class: 'btn btn-theme rounded' %>
                <%= link_to 'Cancel', 'javascript:void(0)', class: 'btn btn-default rounded pull-right cancel_btn', data: { id: @post.id } %>
                <!-- <button class='btn btn-default rounded pull-right cancel_btn'>Cancel</button> -->
            </div>
        <% end %>
    </div>
</div>
<!--/comment-sec-->
<script>
$('.cancel_btn').on('click', function(){
    var id = $(this).data('id')
    $('#post_comments_'+id).toggleClass("show");
})
var textarea = document.querySelector('.mycomm textarea');
// console.log(textarea);

textarea.addEventListener('keydown', autosize);

function autosize(){
  var el = this;
  console.log(el);
  setTimeout(function(){
    el.style.cssText = 'height:auto; max-height:150px; padding:0';
    // for box-sizing other than "content-box" use:
    // el.style.cssText = '-moz-box-sizing:content-box';
    console.log(el.scrollHeight);
    el.style.cssText = 'height:' + (el.scrollHeight + 10) + 'px';
    // el.style.cssText = 'overflow-y:auto';

  },0);
}
</script>
